View Issue Details

IDProjectCategoryView StatusLast Update
0003828ScribusStory Editor / Text Framespublic2016-05-24 21:46
Reporterchristoph_s Assigned To 
PrioritynormalSeverityminorReproducibilityN/A
Status acknowledgedResolutionopen 
PlatformanyOSanyOS Versionany
Product Version1.3 
Target VersionFixed in Version 
Summary0003828: Metabug: Hyphenation
Description Issues with respect to hyphenation.

==PLEASE DON'T ADD ANY COMMENTS TO THIS METABUG==

If you wish to be notified about issues related to hyphenation, please click on the "Monitor Issue" button
Additional InformationSee the whole list of metabugs: http://wiki.scribus.net/index.php/Metabugs
TagsNo tags attached.
Patch

Relationships

related to 0000577 closedcbradney Paragraph Styles -> Kerning and language options missing 
related to 0000418 closedavox justification with user-defined inter-letter and word spacing in percentage 
related to 0003027 closedfschmid Converting a text frame loses dashes and underlines 
related to 0002076 closedfschmid Hard (non-breaking) space does not work after a dash "-". 
related to 0001731 closedfschmid Overlapping letters 
related to 0001241 closed Pasting or adding text into the Story Editor 
related to 0001382 closedfschmid "Non-breaking space" character rendered as "unknown character" in PDF output 
related to 0000948 closedchristoph_s Various text frame bugs 
related to 0000810 closedplinnell Language list missing options 
parent of 0001368 closedavox Justified or right aligned text is misaligned when hyphenated 
parent of 0003749 closedcbradney Document setup doesn't remember "hyphenation suggestions" setting 
parent of 0003312 feedback Add an option to apply hyphenation from the properties palette 
parent of 0001155 acknowledged Support non-breakable text blocks 
parent of 0001108 assignedavox Let user specify hyphenation exceptions 
parent of 0002897 closedmhanski Italian hyphenation not working right 
parent of 0002576 acknowledged Add a GUI to create user dictionaries for hyphenation and short words (and spellchecking) 
parent of 0003546 closedcbradney Sig11 when attempting to insert a smart hyphen into an empty text frame 
parent of 0001050 acknowledged Greek Hyphenation 
parent of 0001130 closed Problems with hyphenation 
parent of 0001475 acknowledged hyphenation: use soft hyphen character (U+00AD) instead signed by ITEXT CSTYLE 8th bit attribute 
parent of 0003159 acknowledged Discretionary hyphenation support 
parent of 0003094 acknowledged Add "hyphenation space" to hyphenation features (AKA hyphenation zone for ragged text) 
parent of 0002527 closedchristoph_s Allow switching between traditional / standard and new German hyphenation as an alternative 
parent of 0002785 closedplinnell Norwegian Hyphenation Added in Scribus 
parent of 0002615 closedcbradney Ctrl + Shift + - doesn't insert a smart hyphen 
parent of 0002591 closedfschmid Hyphenation: Wrong behaviour in connection with "t" glyph 
parent of 0002023 closedfschmid Scribus doesn't remember language settings for hyphenation 
parent of 0002433 closedfschmid Manual soft hyphenation lost after using text-editor 
parent of 0000417 acknowledged hyphenate word by minimum *letters* options 
parent of 0000970 closedfschmid Being able to de-hyphenate text 
parent of 0001012 closedcbradney Ctrl + - doesn't work 
parent of 0002019 closedringerc hyphenation marks look and print broken 
parent of 0002032 closedplinnell Improved Afrikaans hyphenator 
parent of 0002011 closedfschmid number of following hypens not working properly 
parent of 0001685 closedcbradney Croatian hyphenation file 
parent of 0001552 closedfschmid Smallest word in Hyphenator Settings falls short by one letter 
parent of 0001551 closedfschmid "Possible Hyphenation" dialog window always returns to center of screen 
parent of 0001626 closedfschmid Added Bulgarian Hyphenation Patterns 
parent of 0001649 closedcbradney Brazilian Portuguese hyphenation 
parent of 0001192 closed Wrong line-breaking with justification 
parent of 0000971 closedcbradney Improvement in the Hyphenation Settings menus 
parent of 0001136 closedfschmid Hyphenation marks not visible on linked frames 
parent of 0001129 closedfschmid Polish hyphenation is not satisfactory 
parent of 0001024 closedfschmid Added Hyphenation Patterns for Afrikaans 
parent of 0000976 closedfschmid settings-->hyphenator: wrong window title in German 
parent of 0000902 closedfschmid hyphenate in linked text frames 
parent of 0000593 closedcbradney Added three new Hyphenation Dictionarys: Lithuanian, Swedish and Slovene 
parent of 0000229 closedfschmid wrong hyphenation behaviour 
parent of 0000317 closedfschmid Finnish hyph. README contains installation instructions for OpenOffice.org 
parent of 0000063 closedfschmid PDF export in Russian KOI8-RU creates incorrect hyphens 
parent of 0003848 closedplinnell Add more Hypenation Dictionaries 
parent of 0003833 closedplinnell Add Icelandic hyphenator 
parent of 0003911 closedavox Enable "forced" hyphenation 
parent of 0004429 closedKunda hyphenization artifacts 
parent of 0004572 new Hyphenation styles (mockup included) 
parent of 0005322 assignedcbradney Hyphenation patterns distributed without license and copyright information 
parent of 0005324 closedcbradney LPPL compliant README for PL hyphenation patters (for both branches 1.3.4 and 1.3.3.*) 
parent of 0005328 closedplinnell new german hyphenation files available 
parent of 0004676 acknowledged feature to mark words as "do not hyphenate" 
parent of 0007625 new bad hyphenation with superscripts 
parent of 0004773 acknowledgedavox Text flow around shapes doesn't work correctly (Hyphenation issue) 
parent of 0005937 confirmed Lao line wrapping and hyphenization 
parent of 0008987 confirmed Word-wrapping CJK fonts malfunction 
parent of 0009821 closedKunda Text (incorrectly) breaks when wrapping around an image frame 
parent of 0013743 new Extras > Hyphenate: unclear what this command applies to: current frame only, all linked frames ? 
parent of 0013744 new Hyphenation: deselect "Fully Automatic" and then select Extras > Hyphenate issues 
parent of 0003928 closedFahad Support line breaking for Thai text 
parent of 0009601 feedback (RFEs) wordwrap problem for Korea (and east Asia) 
parent of 0008766 confirmed Non-breaking spaces and hyphenation disappear when converting to outlines 
parent of 0011095 closed text is not hyphenated 
parent of 0012492 new the hyphenation tool is too hard to discover 
parent of 0008243 new A way to block "Hyphenate Text" for certain Paragraph Styles 
parent of 0004672 acknowledged Option to disable hyphenating uppercase words 
parent of 0007808 closed Hyphenation settings apply only after re-opening 
parent of 0007684 closedKunda Hyphenation setting in "Document Setup" -> "Hyphenator" jumps back to "English" after having started the hyphenator 
parent of 0008805 new hyphenate text and short words should be property of paragraph style 
parent of 0003879 assignedavox Distribute ragged lines 
parent of 0009233 closedFahad Mixed language hyphenation without using styles 
parent of 0010687 new Ask user before removing hyphenation (faulty) from hole text 
parent of 0010081 new Text wrapping around image frame corrupts spacing and hyphenation 
parent of 0006507 feedback Smart hyphens don't always work 
parent of 0005274 new hyphenation not persistent 
parent of 0004581 new Automatic Glyph Replacement for quotes 
parent of 0014095 closedjghali Hyphenation doesn't work as expected (needs more descriptive title) 
Not all the children of this issue are yet resolved or closed.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2006-05-16 21:44 christoph_s New Issue
2006-05-16 21:44 christoph_s Relationship added parent of 0001368
2006-05-16 21:45 christoph_s Relationship added parent of 0003749
2006-05-16 21:45 christoph_s Relationship added parent of 0003312
2006-05-16 21:46 christoph_s Relationship added parent of 0001155
2006-05-16 21:46 christoph_s Relationship added parent of 0001108
2006-05-16 21:47 christoph_s Relationship added parent of 0002897
2006-05-16 21:48 christoph_s Relationship added parent of 0002576
2006-05-16 21:49 christoph_s Relationship added related to 0000577
2006-05-16 21:50 christoph_s Relationship added related to 0001791
2006-05-16 21:50 christoph_s Relationship added related to 0000418
2006-05-16 21:52 christoph_s Relationship added parent of 0003546
2006-05-16 21:54 christoph_s Relationship added parent of 0001050
2006-05-16 21:57 christoph_s Relationship added parent of 0001130
2006-05-16 21:59 christoph_s Relationship added parent of 0001475
2006-05-16 22:03 christoph_s Relationship added parent of 0003159
2006-05-16 22:04 christoph_s Relationship added parent of 0003094
2006-05-16 22:05 christoph_s Relationship added related to 0003027
2006-05-16 22:05 christoph_s Relationship added parent of 0002527
2006-05-16 22:06 christoph_s Relationship added parent of 0002785
2006-05-16 22:07 christoph_s Relationship added parent of 0002615
2006-05-16 22:07 christoph_s Relationship added parent of 0002591
2006-05-16 22:09 christoph_s Relationship added parent of 0002023
2006-05-16 22:10 christoph_s Relationship added parent of 0002433
2006-05-16 22:10 christoph_s Relationship added parent of 0000417
2006-05-16 22:10 christoph_s Relationship added parent of 0000970
2006-05-16 22:11 christoph_s Relationship added related to 0002076
2006-05-16 22:11 christoph_s Relationship added parent of 0001012
2006-05-16 22:12 christoph_s Relationship added related to 0001731
2006-05-16 22:12 christoph_s Relationship added parent of 0002019
2006-05-16 22:13 christoph_s Relationship added parent of 0002032
2006-05-16 22:13 christoph_s Relationship added parent of 0002011
2006-05-16 22:14 christoph_s Relationship added related to 0001241
2006-05-16 22:14 christoph_s Relationship added parent of 0001685
2006-05-16 22:15 christoph_s Relationship added parent of 0001552
2006-05-16 22:15 christoph_s Relationship added parent of 0001551
2006-05-16 22:16 christoph_s Relationship added parent of 0001626
2006-05-16 22:16 christoph_s Relationship added parent of 0001649
2006-05-16 22:18 christoph_s Relationship added parent of 0001192
2006-05-16 22:19 christoph_s Relationship added related to 0001382
2006-05-16 22:20 christoph_s Relationship added parent of 0000971
2006-05-16 22:21 christoph_s Relationship added parent of 0001136
2006-05-16 22:21 christoph_s Relationship added parent of 0001129
2006-05-16 22:22 christoph_s Relationship added related to 0000948
2006-05-16 22:22 christoph_s Relationship added parent of 0001024
2006-05-16 22:23 christoph_s Relationship added parent of 0000976
2006-05-16 22:24 christoph_s Relationship added parent of 0000902
2006-05-16 22:24 christoph_s Relationship added related to 0000810
2006-05-16 22:25 christoph_s Relationship added parent of 0000593
2006-05-16 22:25 christoph_s Relationship added parent of 0000229
2006-05-16 22:25 christoph_s Relationship added parent of 0000317
2006-05-16 22:26 christoph_s Relationship added parent of 0000063
2006-05-16 23:15 mhanski Description Updated
2006-05-17 12:32 avox Relationship added related to 0000415
2006-05-17 13:59 avox Relationship deleted related to 0000415
2006-05-17 17:34 avox Status new => acknowledged
2006-05-20 23:33 christoph_s Relationship added parent of 0003848
2006-05-20 23:46 christoph_s Relationship added parent of 0003833
2006-06-13 01:54 christoph_s Relationship added parent of 0003911
2006-07-02 22:15 mhanski Additional Information Updated
2006-10-20 19:54 mhanski Relationship added parent of 0004429
2006-11-21 14:53 christoph_s Relationship added parent of 0004572
2007-02-09 16:48 malex Relationship added parent of 0005322
2007-02-10 09:29 mhanski Relationship added parent of 0005324
2007-02-11 21:19 mhanski Relationship added parent of 0005328
2007-02-17 00:48 christoph_s Relationship added parent of 0004676
2008-11-21 22:44 mhanski Relationship added parent of 0007625
2014-08-06 21:35 Kunda Relationship added parent of 0004773
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames
2015-12-02 12:19 Kunda Relationship added parent of 0005937
2016-01-23 22:05 Kunda Relationship added related to 0008987
2016-01-23 22:05 Kunda Relationship replaced parent of 0008987
2016-02-15 14:22 Kunda Relationship added parent of 0009821
2016-02-15 14:55 Kunda Relationship added parent of 0013743
2016-02-15 15:02 Kunda Relationship added parent of 0013744
2016-03-22 23:21 Kunda Relationship added parent of 0003928
2016-03-23 12:33 Kunda Relationship added parent of 0009601
2016-03-23 16:53 Kunda Relationship added parent of 0008766
2016-03-25 14:05 Kunda Relationship added parent of 0011095
2016-03-30 20:08 Kunda Relationship added parent of 0012492
2016-03-30 20:08 Kunda Relationship added parent of 0008243
2016-03-30 20:10 Kunda Relationship added parent of 0004672
2016-03-30 20:14 Kunda Relationship added parent of 0007808
2016-03-30 20:14 Kunda Relationship added parent of 0007684
2016-03-30 20:19 Kunda Relationship added parent of 0008805
2016-03-30 20:28 Kunda Relationship added parent of 0007245
2016-03-30 20:28 Kunda Relationship deleted parent of 0007245
2016-03-30 20:31 Kunda Relationship added parent of 0003879
2016-03-30 20:32 Kunda Relationship added parent of 0009233
2016-03-30 20:33 Kunda Relationship added parent of 0010687
2016-03-30 20:34 Kunda Relationship added parent of 0010081
2016-03-30 20:34 Kunda Relationship added parent of 0006507
2016-03-30 20:35 Kunda Relationship added parent of 0005274
2016-03-30 20:36 Kunda Relationship added parent of 0004581
2016-05-06 19:40 JLuc Relationship deleted related to 0001791
2016-05-24 21:46 Kunda Relationship added parent of 0014095